Bullet Collision Detection & Physics Library: UpdateConstraintBatchIdsForMergesLoop Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
UpdateConstraintBatchIdsForMergesLoop Struct Reference
Inheritance diagram for UpdateConstraintBatchIdsForMergesLoop:
[legend]
Collaboration diagram for UpdateConstraintBatchIdsForMergesLoop:
[legend]

## Public Member Functions
| UpdateConstraintBatchIdsForMergesLoop (int *constraintBatchIds, const btBatchInfo *batches, int numBatches)
void | forLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelForBody
virtual | ~btIParallelForBody ()
virtual void | forLoop (int iBegin, int iEnd) const =0

## Public Attributes
int * | m_constraintBatchIds
const btBatchInfo * | m_batches
int | m_numBatches

## Detailed Description

Definition at line 405 of file btBatchedConstraints.cpp.

## Constructor & Destructor Documentation

## ◆ UpdateConstraintBatchIdsForMergesLoop()

UpdateConstraintBatchIdsForMergesLoop::UpdateConstraintBatchIdsForMergesLoop | ( | int * | constraintBatchIds,
|  | const btBatchInfo * | batches,
|  | int | numBatches
| ) |  |
| inline

Definition at line 411 of file btBatchedConstraints.cpp.

## Member Function Documentation

## ◆ forLoop()

void UpdateConstraintBatchIdsForMergesLoop::forLoop | ( | int | iBegin,
|  | int | iEnd
| ) |  | const
| inlinevirtual

Implements btIParallelForBody.

Definition at line 417 of file btBatchedConstraints.cpp.

## Member Data Documentation

## ◆ m_batches

const btBatchInfo* UpdateConstraintBatchIdsForMergesLoop::m_batches

Definition at line 408 of file btBatchedConstraints.cpp.

## ◆ m_constraintBatchIds

int* UpdateConstraintBatchIdsForMergesLoop::m_constraintBatchIds

Definition at line 407 of file btBatchedConstraints.cpp.

## ◆ m_numBatches

int UpdateConstraintBatchIdsForMergesLoop::m_numBatches

Definition at line 409 of file btBatchedConstraints.cpp.

The documentation for this struct was generated from the following file:

- btBatchedConstraints.cpp